Skip to main content
GET
/
v1
/
parts
/
{id}
Get Part
curl --request GET \
  --url https://api.lab.fieldnode.dev/v1/parts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "title": "<string>",
  "serialId": "<string>",
  "ipOwnerId": "<string>",
  "internal": true,
  "published": true,
  "requireSubscription": true,
  "keywords": [
    "<string>"
  ],
  "createdTime": "2023-11-07T05:31:56Z",
  "modifiedTime": "2023-11-07T05:31:56Z",
  "parentId": "<string>",
  "versionName": "<string>",
  "externalRef": "<string>",
  "description": "<string>",
  "processId": "<string>",
  "materialId": "<string>",
  "standardIds": [
    "<string>"
  ],
  "criticalityIds": [
    "<string>"
  ],
  "categoryIds": [
    "<string>"
  ],
  "dimensions": {
    "width": 123,
    "height": 123,
    "depth": 123,
    "innerDiameter": 123,
    "outerDiameter": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.fieldnode.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Part id.

Response

The request has succeeded.

id
string
required

Part id.

title
string
required

Title of the part.

serialId
string
required

Part serial id.

ipOwnerId
string
required

IP owner organization id.

internal
boolean
required

Whether the part is internal.

published
boolean
required

Whether the part is published.

requireSubscription
boolean
required

Whether the part requires a subscription.

keywords
string[]
required

Keywords of the part.

createdTime
string<date-time>
required

Time when the part was created.

modifiedTime
string<date-time>
required

Time when the part was modified.

parentId
string

Part parent id (if versioned).

versionName
string

Version name of the part.

externalRef
string

External reference for the part.

description
string

Description of the part.

processId
string

Process id of the part.

materialId
string

Material id of the part.

standardIds
string[]

Standard ids.

criticalityIds
string[]

Criticality ids.

categoryIds
string[]

Category ids.

dimensions
object

Physical dimensions of the part.